OpenUSB Developers Guide
Prev |  | Next

# `openusb_set_debug`

## Name

`openusb_set_debug` -- Set debug information

## Synopsis

``void openusb_set_debug`(openusb_handle_t *handle , uint32_t level , uint32_t flags , openusb_debug_callback_t callback );`

## Parameters

`handle` - An openusb instance handle, obtained in `openusb_init`.

`level` - Not used. Reserved.

`flags` - Not used in this release. Reserved.

`callback` - Application supplied debug routine.

## Description

Application can call `openusb_set_debug()` to enable tracing of openusb with increasing level of detail. callback is application defined debug function. If it is NULL, the library embedded debug function is used and debug messages, if any and debug level set properly, will go to stderr.

This operation will override the `USB_DEBUG` environment variable, if set.

## Return Value

None

## See Also

`openusb_init, openusb_fini`

Prev | Home | Next
`openusb_init, openusb_fini` | Up | `openusb_set_event_callback, openusb_coldplug_callbacks_done`